Skip to content

Accept a pending suggestion

POST
/api/v1/ux/preferences/suggestions/{index}/accept
curl --request POST \
--url https://api.ultimateteam.ai/api/v1/ux/preferences/suggestions/1/accept \
--header 'X-API-Key: <X-API-Key>'

UX-04: Apply the suggestion at the given index and remove it from the pending list.

index
required
Index
integer

Successful Response

Media typeapplication/json
Response Accept Suggestion Api V1 Ux Preferences Suggestions Index Accept Post
object
key
additional properties
any
Examplegenerated
{}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}